Subject: Re: [bug#43285] [PATCH 0/3] Improve 'import-paths' tests and 'guix authenticate' interface
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 11 Sep 2020 17:59:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> These patches are about improving testing around the ‘import-paths’
> RPC and cleaning up the interface between ‘guix authenticate’ and
> the daemon.
>
> Ludo’.
>
> Ludovic Courtès (3):
>   store: Test 'import-paths' with unauthorized and unsigned nar bundles.
>   doc: Distinguish the "nar bundle" format from "nar".
>   daemon: Simplify interface with 'guix authenticate'.

Pushed as 6dd8ffc57420ee2f6f19e79e41028e78fe9e6a7e.

I realized I hadn’t updated tests/guix-archive.sh, which I did, and
that also prompted me to keep the temporary file for the “verify”
operation so it’s decoded with the right encoding.

Anyway, the real bit will be <https://issues.guix.gnu.org/43340>.

Ludo’.